Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.requests
Class BinaryProof

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.requests.BinaryProof

All Implemented Interfaces:
  Serializable

    public class BinaryProof

extends Object
implements Serializable

A Binary proof class

See Also:
  Serialized Form

Constructor Summary
`BinaryProof(String method, byte[] binary)`

Method Summary
`boolean` | `equals(Object obj)`
`byte[]` | `getBinary()`
`String` | `getMethod()`
`int` | `hashCode()`
`void` | `setBinary(byte[] binary)`
`void` | `setMethod(String method)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryProof

    public BinaryProof(String method,
                       byte[] binary)

Parameters:
  `method` -
  `binary` -

Method Detail

### getMethod

    public String getMethod()

  Returns:
    the method

### setMethod

    public void setMethod(String method)

  Parameters:
    `method` - the method to set

### getBinary

    public byte[] getBinary()

  Returns:
    the binary

### setBinary

    public void setBinary(byte[] binary)

  Parameters:
    `binary` - the binary to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.